<?php

// Copyright (C) 2020 by Paweł Pilarczyk, http://www.pawelpilarczyk.com/
//
// This file is part of my scientific software.  This is free software;
// you can redistribute it and/or modify it under the terms of the GNU Affero
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public
// License along with this software; see the file "license.txt".
// If not, see <http://www.gnu.org/licenses/>.

// Started on January 6, 2020. Last revision: July 22, 2020.

// Configuration and data for the program.
// Please, adjust this data whenever you use this website for another program.

// The title of the Web page.
$title = "Iterations of the Quadratic Map";

// The short name of the program to be shown at the Web page.
$program_name = "quaditer";

// The number of first arguments that must be filled out in the form.
$obligatory = 2;

// Captions to use for the arguments in the table show at the Web page form.
$captions = array (
	"The left endpoint of the parameter interval (obligatory argument)",
	"The right endpoint of the parameter interval (obligatory argument)",
	"The number of intervals into which the above interval is uniformly split (1)",
	"The radius of the critical neighborhood, a.k.a. delta (0.001)",

	"The binary precision of high-prec computations (300)",
	"The number of bisection steps when excluding (40)",

	"The maximal allowed number of iterations at each step (200)",

	"The minimal interval fraction required to continue iterating (0)",
	"The minimal width required for an interval, relative to the original one (10^-10)",
	"The number of contractions encountered to stop iterating (0=off)",

	"The maximal number of intervals to process (0 = no limit)",
	"The maximal allowed queue size (0 = no limit)",
	"The maximal number of messages to display (0 = no limit)",
	"The maximal running time after which the program is stopped, in seconds",

	"The minimal number of iterates to reach by all to stop (0=unused)",
	"The required minimal number of iterates to count as an 'escape'",
	"The required minimal image width to count as an 'escape'",

	"The number of decimal digits in the output of numbers",
	"The verbosity of program's output (0 = summary only, 100 = everything)",
);

// Labels to use at the Web page form.
$labels = array (
	"l", "r", "u", "d",
	"p", "b", "n",
	"f", "w", "c",
	"i", "q", "m", "t",
	"N", "rN", "rW",
	"o", "v",
);

// Which parameters should be always shown, even in the short version of the form.
$alwaysShow = array (
	1, 1, 0, 1,
	0, 0, 0,
	0, 0, 0,
	0, 0, 0, 1,
	0, 1, 1,
	0, 0,
);

// Default values that are filled in when the page is opened.
$defaults = array (
	"1.91", "1.92", "1", "0.001",
	"300", "40", "200",
	"", "", "3",
	"", "", "1000", "5",
	"", "15", "0.0317",
	"8", "3",
);

// Maximal values (whenever controlled).
$maxValues = array (
	"2", "2", "", "",
	"10000", "100", "10000",
	"", "", "",
	"100000", "", "1000", "20",
	"", "", "",
	"1000", "100",
);

// Minimal values (whenever controlled).
$minValues = array (
	"1", "1", "1", "",
	"", "", "",
	"", "", "",
	"", "", "", "1",
	"", "", "",
	"", "",
);

// Should the format of the data be verified? 0=no, 1=int, 2=double.
$datatypes = array (
	2, 2, 1, 2,
	1, 1, 1,
	2, 2, 1,
	1, 1, 1, 1,
	2, 2, 2,
	1, 1,
);

// Prefixes to use before the values when running the program.
// There will be a space added between arguments with prefixes,
// but no space between the prefix and the value.
// For example, use "-x ", "-y " to put the values "30" and "20"
// in the command line as "-x 30 -y 20".
$prefixes = array (
	"-l ", "-r ", "-u ", "-d ",
	"-p ", "-b ", "-n ",
	"-f ", "-w ", "-c ",
	"-i ", "-q ", "-m ", "-t ",
	"-N ", "-rN ", "-rW ",
	"-o ", "-v ",
);

?>
